<!--
 * BBrowser home page.
 * (C) 2016 Lupshenko.
 * This code is licensed under the GPL3.
-->

<!DOCTYPE html>

<html>
	<head>
		<title>Home page</title>
		<meta charset="utf-8">
		
		<style>
			/*Normalize*/
				* {
					-webkit-user-select: none;
					font-family: sans-serif;
					font-weight: normal;
					cursor: default;
					color: white;
				}
				
				body {
					padding: 0;
					margin: 0;
					height: 100vh;
					width 100vw;
					background: rgba(66, 66, 66, 1);
					background-size: 100vw 100vh;
					overflow: hidden;
					text-align: center;
				}
			
			/*UI*/
				#wrapper {
					position: absolute;
					top: 30vh;
					width: 100vw;
				}
				
				#time {
					font-size: 20vh;
				}
				
				#greeting {
					font-size: 7vh;
				}
		</style>
		
		<script>
			var page = {
				//Secondary variables
					easterEggs: {},
				
				//Methods
					init: function() {
						page.updateTime();
						page.setGreetingAndBackground();
					},
					
					updateTime: function() {
						var date = new Date();
						
						document.getElementById("time").innerHTML =
							("0" + date.getHours()).slice(-2) + ":" +
							("0" + date.getMinutes()).slice(-2) + ":" +
							("0" + date.getSeconds()).slice(-2);
						
						setTimeout("page.updateTime()", 1000);
					},
					
					setGreetingAndBackground: function() {
						var
							hours = new Date().getHours(),
							timesOfDay;
							
						if (hours >= 0 && hours <= 4) {
							timesOfDay = 0;
						} else if (hours >= 5 && hours <= 12) {
							timesOfDay = 1;
						} else if (hours >= 13 && hours <= 17) {
							timesOfDay = 2;
						} else if (hours >= 18 && hours <= 23) {
							timesOfDay = 3;
						}
							
						document.getElementById("greeting").innerHTML =
							"Good " +
							["night", "morning", "afternoon", "evening"][timesOfDay] +
							", boss!"
							
						document.body.style.background = [
							"linear-gradient(to top, rgba(55, 55, 55, 1), rgba(0, 0, 0, 1))",
							"linear-gradient(to top, rgba(255, 241, 118, 1), rgba(33, 150, 243, 1)",
							"linear-gradient(to top, rgba(100, 181, 246, 1), rgba(25, 118, 210, 1)",
							"linear-gradient(to top, rgba(255, 87, 34, 1), rgba(13, 71, 161, 1)"
						][timesOfDay];
					}
			};
		</script>
	</head>
	
	<body onload="page.init()">
		<div id="wrapper">
			<div id="time"></div>
			<div id="greeting"></div>
		</div>
	</body>
</html>
